## dune-grid-glue 2.11.0~git20251211

=== debian/changelog ===
dune-grid-glue (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11.0

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 20:01:43 +0100
