=== debian/control ===
Source: dune-grid-glue
Section: libs
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
Homepage: https://www.dune-project.org/modules/dune-grid-glue/
Build-Depends: debhelper-compat (= 13),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
 libdune-common-dev (>= 2.11.0~),
 libdune-grid-dev (>= 2.11.0~),
 chrpath
Build-Depends-Indep: doxygen, graphviz, imagemagick
Rules-Requires-Root: no

Package: libdune-grid-glue-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.11.0~),
 libdune-grid-dev (>= 2.11.0~)
Suggests: libdune-grid-glue-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- compute couplings between grids (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the development files.

Package: libdune-grid-glue-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- compute couplings between grids (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the documentation.
