=== debian/changelog ===
dune-grid-glue (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added debian/gdb.conf for dep-14 branch name convention
  * Added config for salsa C

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 22:51:21 +0100
